package com.iformall.domain.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.iformall.domain.po.base.TenantEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@TableName(value = "wx_chart_data")
@Data
@EqualsAndHashCode(callSuper = true)
public class WxChartDataEntity extends TenantEntity {

    protected Long id;
    private Integer type;
    private String result;
    private Date querytime;
    private Date createtime;

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("WxChartDataEntity{")
                .append("id=").append(id)
                .append(", tenantId='").append(getTenantId()).append('\'');
        sb.append(", type=").append(type)
            .append(", result='").append(result).append('\'')
                .append(", querytime=").append(querytime)
                .append(", createtime=").append(createtime)
                .append('}');
        return sb.toString();
    }
}
